UserProfileInfoI
Date: 2012-06-27

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.framework.userprofiles.library
Interface UserProfileInfoI

All Known Implementing Classes:
  UserProfile

    public interface UserProfileInfoI

Method Summary
`void` | `createUserProfile(java.lang.String username)` Creates a default profile for this user
`void` | `dropUserProfile(java.lang.String username)` Drops the profile of this user
`java.lang.String[]` | `getElement(java.lang.String username, java.lang.String element)`
`java.lang.String` | `getElementValue(java.lang.String username, java.lang.String element)`
`java.util.HashMap<java.lang.String,java.lang.String>` | `getMetadataXSLTs(java.lang.String username)`
`java.util.HashMap<java.lang.String,java.util.ArrayList<java.lang.String>>` | `getPresentationFields(java.lang.String username)`
`java.lang.String` | `getUserProfile(java.lang.String username)`
`void` | `setDefaultProfile(java.lang.String defaultProfile)`
`void` | `setElementValue(java.lang.String username, java.lang.String element, java.lang.String value)`
`void` | `setUserProfile(java.lang.String username, java.lang.String profile)` Sets user's profile

Method Detail

### getUserProfile

    java.lang.String getUserProfile(java.lang.String username)

  Parameters:
    `username` - the username
  Returns:
    the Profile serialized as a string

### setUserProfile

    void setUserProfile(java.lang.String username,
                        java.lang.String profile)

  Sets user's profile

  Parameters:
    `username` - the username
    `profile` - the Profile serialized as a string

### getMetadataXSLTs

    java.util.HashMap<java.lang.String,java.lang.String> getMetadataXSLTs(java.lang.String username)

  Parameters:
    `username` - the username
  Returns:
    a hashmap containing the metadata schemata and the IDs of the corresponding generic resources that represent the XSLTs to transform metadata to html

### getPresentationFields

    java.util.HashMap<java.lang.String,java.util.ArrayList<java.lang.String>> getPresentationFields(java.lang.String username)

  Parameters:
    `username` - the username
  Returns:
    a hashmap containing the ids of the presentation fields selected by the user per collection

### createUserProfile

    void createUserProfile(java.lang.String username)

  Creates a default profile for this user

  Parameters:
    `username` - the username

### dropUserProfile

    void dropUserProfile(java.lang.String username)

  Drops the profile of this user

  Parameters:
    `username` - the username

### getElement

    java.lang.String[] getElement(java.lang.String username,
                                  java.lang.String element)

  Parameters:
    `username` - the username
    `element` - the element node to be retrieved from the profile
  Returns:
    the values

### getElementValue

    java.lang.String getElementValue(java.lang.String username,
                                     java.lang.String element)

  Parameters:
    `username` - the username
    `element` - the element value to be retrieved from the profile
  Returns:
    the values

### setElementValue

    void setElementValue(java.lang.String username,
                         java.lang.String element,
                         java.lang.String value)

  Parameters:
    `username` - the username
    `element` - the element node to be set from the profile

### setDefaultProfile

    void setDefaultProfile(java.lang.String defaultProfile)

  Parameters:
    `defaultProfile` - the default profile xml

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD